0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
fast_square_root.hpp File Reference

GLM_GTX_fast_square_root More...

Go to the source code of this file.

## Functions
template<typename genType >
GLM_FUNC_DECL genType | fastDistance (genType x, genType y)
| Faster than the common distance function but less accurate. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL T | fastDistance (vec< L, T, P > const &x, vec< L, T, P > const &y)
| Faster than the common distance function but less accurate. More...
template<typename genType >
GLM_FUNC_DECL genType | fastInverseSqrt (genType x)
| Faster than the common inversesqrt function but less accurate. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, T, P > | fastInverseSqrt (vec< L, T, P > const &x)
| Faster than the common inversesqrt function but less accurate. More...
template<typename genType >
GLM_FUNC_DECL genType | fastLength (genType x)
| Faster than the common length function but less accurate. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL T | fastLength (vec< L, T, P > const &x)
| Faster than the common length function but less accurate. More...
template<typename genType >
GLM_FUNC_DECL genType | fastNormalize (genType const &x)
| Faster than the common normalize function but less accurate. More...
template<typename genType >
GLM_FUNC_DECL genType | fastSqrt (genType x)
| Faster than the common sqrt function but less accurate. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, T, P > | fastSqrt (vec< L, T, P > const &x)
| Faster than the common sqrt function but less accurate. More...

## Detailed Description

GLM_GTX_fast_square_root

See also
  GLM Core (dependence)

Definition in file fast_square_root.hpp.